$accent-color: #F75A43;

$default-padding: 20px;

@mixin row {

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}
@mixin row__item {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}
.row {
    @include row;
    &__item {
        @include row__item();
    }
}
.logo {
    font-size: 44px;
    font-weight: 900;
    color: white;
    text-shadow: 1px 1px black, -1px -1px $accent-color;
    font-family: 'Times';
    @include row;
}
html, body { 
    width:100%;
    height: 100%;
}
.body{-webkit-box-shadow: 0px 0px 8px 6px rgba(34, 60, 80, 0.17);
    -moz-box-shadow: 0px 0px 8px 6px rgba(34, 60, 80, 0.17);
    box-shadow: 0px 0px 8px 6px rgba(34, 60, 80, 0.17);
    max-width: 1280px;
    width: 100%;
    margin: 0 auto;
    font-size: 18px;
    padding: 0 15px;
    margin-bottom: 40px;
    @media (min-width: 768px) {
        &__item {
            margin-bottom: 40px;
            padding-left: 100px;
            padding-right: 100px;
            
    
        }
    }
  }
  

*, *:before, *:after {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
  }


  .table {
    width: 100%;
    border-collapse: separate;

  }
  
  .table td, .table th {
    text-align: left;    padding: 8px;
  }
  
  .table tr:nth-child(odd){background-color: #f2f2f2;}
  
  .table tr:hover {background-color: #ddd;}
  
  .table th {
    border-bottom: solid black 1px;  
    font-size: 24px;
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: white;

  }
  .align-left {
      text-align: left;
  }
  .hr {
    background-color: black;
    border: 0 none;
    height: 1px;
    width:50%; margin-left:25% !important; margin-right:25% !important;
    
  }
.menu {
    font-size: 18px;
    @include row;
    justify-content: space-between;
    &__links {
     padding-top: 16px;
    }
    &__button {
     
    
    }
}
.links {
    color: $accent-color;
    @include row;
    &--blue {
        color:#6aaacc !important;
    }
    &__item {
        color: inherit;
        text-decoration: none;
        margin-right: 10px;
    }
}
.button {
    text-decoration: none;
    color: $accent-color;
    background-color: white;
    color: $accent-color;
    border: 2px solid $accent-color;
    padding: 16px; /* Green */
}
.statistics {
    &__pagination {
        padding: 16px;
    }
}
.pagination {
    &__link--selected {
        color: black;
    }
    &__link{
        text-decoration: none;
    }
}
.carousel {
   

    display: flex;
    margin-bottom: 40px;
    justify-content: space-between;
    &__arrow {
        margin: 40px;
    }
    &__teachers {
        overflow: hidden;
        display: flex;
        justify-content: start;
    }
    
}
.arrow {
    border: solid black;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
  }
  
  .right {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
  }
  
  .left {
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
  }
  
.teacher-card {
    width: 200px;
    &__image {
        object-fit: cover;
        width: 120px;
        height: 120px;
        border: solid #f99589 4px;
        border-radius: 50%;
        overflow: hidden;
    }
    &__name {
       
        font-size: 20px;
        font-weight: 500;
        font-style: inherit;
    }
    &__location {
       
        font-size: 12px;
        font-style: inherit;
    }
}

.statistics {
    @include row;
}


.header {
    justify-content: space-between;
    padding-top: 44px;
    @include row;
    &__logo {
        
        
    }
    &__search-form {
        
       
    }
}
.input {
    height: 100%;
        border-width: 1px;
        border-radius: 2px;
}

.search-form {
 
    &__input {
        
    }

    &__button {
        
    }
}
.title {
   
    font-size: 28px;
    font-weight: 300;

}
.footer {
    @include row;
}
.teachers {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(200px, 1fr));
    .teachers__card {
        width: 200px;
        
 

        margin: 4px;
        padding: 20px 0;
 
    }
}
.add-teacher-popup {
    width: 400px;
    padding: 80px;
    padding-top: 20px;
    background-color: white;
    h2 {
        font-size: 40px;
    }
    &__close {
        text-decoration: none;
        position: absolute;
        color: black;
        top: 20px;
        right: 20px;
    }
}
.popup {
    width: 100%;
    height: 100%;
    top: 0;
    position: absolute;
    visibility: hidden;
    display: none;
    background-color: rgba(22,22,22,0.5); /* complimenting your modal colors */
}
.popup:target {
    visibility: visible;
    display: block;
}
.reveal-modal {
    position: relative;
    margin: 0 auto;
    top: 25%;
}